Delete All Personal Page Accesses

Deletes all personal accesses of the page.

Use the prevent_selflock=true parameter to prevent accidentally locking out the current user's access.

Request

DELETE

https://api.wiki.yandex.net/v1/pages/{idx}/access

Path parameters

Name

Description

idx

Type: integer

Page ID

Query parameters

Name

Description

prevent_selflock

Type: boolean

If true, an error is raised if, as a result of removing access, a co-author loses read access or the ability to change access

Default: false

Responses

204 No Content

No Content

Body

application/json
{}

Name

Description